// Cache APIのポリフィル
importScripts('serviceworker-cache-polyfill.js');

var cacheKey = 'sw-sample-key';

self.addEventListener('install', function (e) {
  e.waitUntil(
    caches.open(cacheKey).then(function (cache) {

      // 指定したパスのリソースをキャッシュする
      return cache.addAll([
        '/',
        'css/app.css',
        'js/app.js',
        'img/photo.jpg'
      ]);
    })
  );
});

self.addEventListener('fetch', function (e) {
  e.respondWith(
    caches.open(cacheKey).then(function (cache) {

      // キャッシュからリクエストにマッチするものを探す
      return cache.match(e.request)
        .then(function (response) {
          if (response) {
            // キャッシュが見つかったのでそれを返却する
            return response;
          } else {console.log(e.request);
            // 見つからない場合はリクエストする
            return fetch(e.request);
          }
        });
    })
  );
});
